全部产品

HBase Java SDK 下载

更新时间:2020-09-29 15:13:42

Maven依赖

  • HBase 1.x版本客户端对应1.x版本的HBase集群。
  • HBase 2.x版本客户端对应2.x版本的HBase集群。
  • HBase增强版用户推荐使用2.x版本客户端。

HBase 1.x版本

  1. <dependency>
  2. <groupId>com.aliyun.hbase</groupId>
  3. <artifactId>alihbase-client</artifactId>
  4. <version>1.8.2</version>
  5. </dependency>

HBase 2.x 版本

  1. <dependency>
  2. <groupId>com.aliyun.hbase</groupId>
  3. <artifactId>alihbase-client</artifactId>
  4. <version>2.8.2</version>
  5. </dependency>

注意:目前已依赖社区版HBase客户端,无法升级到上述推荐的版本。

通过Maven方式,升级成与社区版本相应的阿里云HBase客户端,请参见历史版本(Maven方式)

通过Jar包替换的方式,升级成与社区版本相应的阿里云HBase客户端,请参见历史版本(Jar包替换)